# -*- encoding: utf-8 -*-
# stub: mongrel 1.2.0 ruby lib
# stub: ext/http11/extconf.rb

Gem::Specification.new do |s|
  s.name = "mongrel".freeze
  s.version = "1.2.0"

  s.required_rubygems_version = Gem::Requirement.new(">= 0".freeze) if s.respond_to? :required_rubygems_version=
  s.metadata = { "homepage_uri" => "http://mongrel.rubyforge.org/" } if s.respond_to? :metadata=
  s.require_paths = ["lib".freeze]
  s.authors = ["Zed A. Shaw".freeze]
  s.date = "2023-09-10"
  s.description = "Mongrel is a small library that provides a very fast HTTP 1.1 server for Ruby web applications.  It is not particular to any framework, and is intended to be just enough to get a web application running behind a more complete and robust web server.\n\nWhat makes Mongrel so fast is the careful use of an Ragel extension to provide fast, accurate HTTP 1.1 protocol parsing. This makes the server scream without too many portability issues.\n\nSee http://mongrel.rubyforge.org for more information.".freeze
  s.email = ["mongrel-users@rubyforge.org".freeze]
  s.executables = ["mongrel_rails".freeze]
  s.extensions = ["ext/http11/extconf.rb".freeze]
  s.extra_rdoc_files = ["History.txt".freeze, "Manifest.txt".freeze, "README.rdoc".freeze, "LICENSE".freeze]
  s.files = ["COPYING".freeze, "History.txt".freeze, "LICENSE".freeze, "Manifest.txt".freeze, "README.rdoc".freeze, "Rakefile".freeze, "TODO".freeze, "bin/mongrel_rails".freeze, "examples/builder.rb".freeze, "examples/camping/README".freeze, "examples/camping/blog.rb".freeze, "examples/camping/tepee.rb".freeze, "examples/httpd.conf".freeze, "examples/mime.yaml".freeze, "examples/mongrel.conf".freeze, "examples/monitrc".freeze, "examples/random_thrash.rb".freeze, "examples/simpletest.rb".freeze, "examples/webrick_compare.rb".freeze, "ext/http11/Http11Service.java".freeze, "ext/http11/ext_help.h".freeze, "ext/http11/extconf.rb".freeze, "ext/http11/http11.c".freeze, "ext/http11/http11_parser.c".freeze, "ext/http11/http11_parser.h".freeze, "ext/http11/http11_parser.java.rl".freeze, "ext/http11/http11_parser.rl".freeze, "ext/http11/http11_parser_common.rl".freeze, "ext/http11/org/jruby/mongrel/Http11.java".freeze, "ext/http11/org/jruby/mongrel/Http11Parser.java".freeze, "lib/mongrel.rb".freeze, "lib/mongrel/camping.rb".freeze, "lib/mongrel/cgi.rb".freeze, "lib/mongrel/command.rb".freeze, "lib/mongrel/configurator.rb".freeze, "lib/mongrel/const.rb".freeze, "lib/mongrel/debug.rb".freeze, "lib/mongrel/gems.rb".freeze, "lib/mongrel/handlers.rb".freeze, "lib/mongrel/header_out.rb".freeze, "lib/mongrel/http_request.rb".freeze, "lib/mongrel/http_response.rb".freeze, "lib/mongrel/init.rb".freeze, "lib/mongrel/mime_types.yml".freeze, "lib/mongrel/rails.rb".freeze, "lib/mongrel/stats.rb".freeze, "lib/mongrel/tcphack.rb".freeze, "lib/mongrel/uri_classifier.rb".freeze, "setup.rb".freeze, "tasks/gem.rake".freeze, "tasks/native.rake".freeze, "tasks/ragel.rake".freeze, "test/mime.yaml".freeze, "test/mongrel.conf".freeze, "test/test_cgi_wrapper.rb".freeze, "test/test_command.rb".freeze, "test/test_conditional.rb".freeze, "test/test_configurator.rb".freeze, "test/test_debug.rb".freeze, "test/test_handlers.rb".freeze, "test/test_http11.rb".freeze, "test/test_redirect_handler.rb".freeze, "test/test_request_progress.rb".freeze, "test/test_response.rb".freeze, "test/test_stats.rb".freeze, "test/test_uriclassifier.rb".freeze, "test/test_ws.rb".freeze, "test/testhelp.rb".freeze, "tools/trickletest.rb".freeze]
  s.homepage = "http://mongrel.rubyforge.org/".freeze
  s.licenses = ["MIT".freeze]
  s.rdoc_options = ["--main".freeze, "README.rdoc".freeze]
  s.required_ruby_version = Gem::Requirement.new(">= 1.8.6".freeze)
  s.rubygems_version = "3.3.7".freeze
  s.summary = "Mongrel is a small library that provides a very fast HTTP 1.1 server for Ruby web applications".freeze

  if s.respond_to? :specification_version then
    s.specification_version = 4
  end

  if s.respond_to? :add_runtime_dependency then
    s.add_runtime_dependency(%q<gem_plugin>.freeze, ["~> 0.2.3"])
    s.add_runtime_dependency(%q<daemons>.freeze, ["< 2"])
    s.add_development_dependency(%q<rake-compiler>.freeze, ["< 2"])
    s.add_development_dependency(%q<rspec>.freeze, [">= 3.10"])
    s.add_development_dependency(%q<rdoc>.freeze, ["< 7"])
    s.add_development_dependency(%q<hoe>.freeze, ["~> 3.23"])
  else
    s.add_dependency(%q<gem_plugin>.freeze, ["~> 0.2.3"])
    s.add_dependency(%q<daemons>.freeze, ["< 2"])
    s.add_dependency(%q<rake-compiler>.freeze, ["< 2"])
    s.add_dependency(%q<rspec>.freeze, [">= 3.10"])
    s.add_dependency(%q<rdoc>.freeze, ["< 7"])
    s.add_dependency(%q<hoe>.freeze, ["~> 3.23"])
  end
end
